//
//  NSFileHandleAdditions.h
//  PSDReader2
//
//  Created by Fabio iMac on 19.09.06.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSFileHandle (readAdditions)

-(void)skipBytes:(UInt64)count;

-(ssize_t)readBytes:(char*)buffer ofLength:(ssize_t)len;
-(OSStatus)unpackBits:(char*)data totalLength:(UInt64)len;

-(OSStatus)readString:(NSString**)s encoding:(NSStringEncoding)enc length:(unsigned)len;
-(OSStatus)readPascalString:(NSString**)s encoding:(NSStringEncoding)enc;
-(OSStatus)readBytes:(void*)buf length:(unsigned)len;
-(OSStatus)readChar:(char*)c;

-(OSStatus)readBigUnsignedShort:(UInt16*)param;
-(OSStatus)readBigSignedShort:(SInt16*)param;
-(OSStatus)readBigUnsignedInt:(UInt32*)param;
-(OSStatus)readBigSignedInt:(SInt32*)param;
-(OSStatus)readLittleUnsignedShort:(UInt16*)param;
-(OSStatus)readLittleSignedShort:(SInt16*)param;
-(OSStatus)readLittleUnsignedInt:(UInt32*)param;
-(OSStatus)readLittleSignedInt:(SInt32*)param;
@end
